Subject: Problem with path-filter

From: [email-masked]
Date: Tue, 24 Jan 1995 18:01 +0000

Hi,
  I'm having a problem with my path-filter statement in the ftpaccess file.

  Using the default filter from the ftpaccess.heavy example file, WU-FTPD
will not allow me to have a period (.) anywhere in the filename, however it
does work propperly for the hyphen (i.e. it won't allow a hyphen as the first
character, but anywhere else is ok).

# path-filter from doc/examples/ftpaccess.heavy
path-filter anonymous /etc/ftpmsgs/pathmsg ^[-A-Za-z0-9_\.]*$  ^\.  ^-

  WU-FTPD 2.4 was compiled with gcc 2.6.3 on a Solaris 2.1 for x86 platform.

Any insight into this annoyance would be greatly appreciated.
Paul
--
+----------------------------------------------------------------+
| Paul Durden         Cybex Corporation    [email-masked] |
| Product Engineer    4912 Research Drive                        |
| (205)430-4020 x234  Huntsville, AL  USA                        |
| FAX: (205)430-4030                35805                        |
+----------------------------------------------------------------+
DISCLAIMER: The warped views and opinions are mine and do not 
            reflect the views and opinions of Cybex Corporation.